const Map<String, dynamic> IPSO_DEFINITIONS = {
  "rspCode": {
    "OK": 200,
    "Created": 201,
    "Deleted": 202,
    "Changed": 204,
    "Content": 205,
    "BadRequest": 400,
    "Unauthorized": 401,
    "Forbidden": 403,
    "NotFound": 404,
    "MethodNotAllowed": 405,
    "Timeout": 408,
    "Conflict": 409,
    "InternalServerError": 500,
  },
  "cmdId": {
    "read": 0,
    "write": 1,
    "discover": 2,
    "writeAttrs": 3,
    "execute": 4,
    "observe": 5,
    "notify": 6,
    "ping": 7,
    "unknown": 255,
  },
  "oid": {
    "lwm2mSecurity": 0,
    "lwm2mServer": 1,
    "accessCtrl": 2,
    "device": 3,
    "connMonitor": 4,
    "firmware": 5,
    "location": 6,
    "connStatistics": 7,
    "lockAndWipe": 8,
    "swUpdate": 9,
    "cellularConn": 10,
    "apnConnProfile": 11,
    "wlanConn": 12,
    "bearerSelection": 13,
    "devCapMgmt": 15,
    "cmdhPolicy": 2048,
    "activeCmdhPolicy": 2049,
    "cmdhDefaults": 2050,
    "cmdhDefEcValues": 2051,
    "cmdhDefEcParamsValues": 2052,
    "cmdhLimits": 2053,
    "cmdhNetworkAccessRules": 2054,
    "cmdhNwAccessRule": 2055,
    "cmdhBuffer": 2056,
    "dIn": 3200,
    "dOut": 3201,
    "aIn": 3202,
    "aOut": 3203,
    "generic": 3300,
    "illuminance": 3301,
    "presence": 3302,
    "temperature": 3303,
    "humidity": 3304,
    "pwrMea": 3305,
    "actuation": 3306,
    "setPoint": 3308,
    "loadCtrl": 3310,
    "lightCtrl": 3311,
    "pwrCtrl": 3312,
    "accelerometer": 3313,
    "magnetometer": 3314,
    "barometer": 3315,
    "voltage": 3316,
    "current": 3317,
    "frequency": 3318,
    "depth": 3319,
    "percentage": 3320,
    "altitude": 3321,
    "load": 3322,
    "pressure": 3323,
    "loudness": 3324,
    "concentration": 3325,
    "acidity": 3326,
    "conductivity": 3327,
    "power": 3328,
    "powerFactor": 3329,
    "distance": 3330,
    "energy": 3331,
    "direction": 3332,
    "time": 3333,
    "gyrometer": 3334,
    "colour": 3335,
    "gpsLocation": 3336,
    "positioner": 3337,
    "buzzer": 3338,
    "audioClip": 3339,
    "timer": 3340,
    "addressableTextDisplay": 3341,
    "onOffSwitch": 3342,
    "levelControl": 3343,
    "upDownControl": 3344,
    "multipleAxisJoystick": 3345,
    "rate": 3346,
    "pushButton": 3347,
    "multistateSelector": 3348,
  },
  "uniqueRid": {
    "objectInstanceHandle": 4000,
    "objectVersion": 4001,
    "dInState": 5500,
    "counter": 5501,
    "dInPolarity": 5502,
    "debouncePeriod": 5503,
    "edgeSelection": 5504,
    "counterReset": 5505,
    "currentTime": 5506,
    "fracTime": 5507,
    "minXValue": 5508,
    "maxXValue": 5509,
    "minYValue": 5510,
    "maxYValue": 5511,
    "minZValue": 5512,
    "latitude": 5514,
    "longitude": 5515,
    "uncertainty": 5516,
    "velocity": 5517,
    "timestamp": 5518,
    "minLimit": 5519,
    "maxLimit": 5520,
    "timeDuration": 5521,
    "clip": 5522,
    "trigger": 5523,
    "soundDuration": 5524,
    "minOffTime": 5525,
    "mode": 5526,
    "text": 5527,
    "xCoord": 5528,
    "yCoord": 5529,
    "clearDisplay": 5530,
    "contrast": 5531,
    "incInputState": 5532,
    "decInputState": 5533,
    "eventCounter": 5534,
    "calOffset": 5535,
    "currentPos": 5536,
    "transTime": 5537,
    "remainTime": 5538,
    "displayMaxXCoord": 5539,
    "displayMaxYCoord": 5540,
    "upCounter": 5541,
    "downCounter": 5542,
    "digitalState": 5543,
    "cumulTime": 5544,
    "maxXCoord": 5545,
    "maxYCoord": 5546,
    "mStateIn": 5547,
    "level": 5548,
    "dOutState": 5550,
    "dOutPolarity": 5551,
    "aInCurrValue": 5600,
    "minMeaValue": 5601,
    "maxMeaValue": 5602,
    "minRangeValue": 5603,
    "maxRangeValue": 5604,
    "resetMinMaxMeaValues": 5605,
    "aOutCurrValue": 5650,
    "sensorValue": 5700,
    "units": 5701,
    "xValue": 5702,
    "yValue": 5703,
    "zValue": 5704,
    "compassDir": 5705,
    "colour": 5706,
    "appType": 5750,
    "sensorType": 5751,
    "instActivePwr": 5800,
    "minMeaActivePwr": 5801,
    "maxMeaActivePwr": 5802,
    "minRangeActivePwr": 5803,
    "maxRangeActivePwr": 5804,
    "cumulActivePwr": 5805,
    "activePwrCal": 5806,
    "instReactivePwr": 5810,
    "minMeaReactivePwr": 5811,
    "maxMeaReactivePwr": 5812,
    "minRangeReactivePwr": 5813,
    "maxRangeReactivePwr": 5814,
    "cumulReactivePwr": 5815,
    "reactivePwrCal": 5816,
    "pwrFactor": 5820,
    "currCal": 5821,
    "resetCumulEnergy": 5822,
    "eventId": 5823,
    "startTime": 5824,
    "durationInMin": 5825,
    "criticalLevel": 5826,
    "avgLoadAdjPct": 5827,
    "dutyCycle": 5828,
    "onOff": 5850,
    "dimmer": 5851,
    "onTime": 5852,
    "mStateOut": 5853,
    "offTime": 5854,
    "setPointValue": 5900,
    "busyToClearDelay": 5903,
    "clearToBusyDelay": 5904,
    "hostDeviceManuf": 5905,
    "hostDeviceMdl": 5906,
    "hostDeviceUID": 5907,
    "hostDeviceSwVer": 5908,
  },
  "specificRid": {
    "lwm2mSecurity": {
      "lwm2mServerURI": 0,
      "bootstrapServer": 1,
      "securityMode": 2,
      "pubKeyId": 3,
      "serverPubKeyId": 4,
      "secretKey": 5,
      "smsSecurityMode": 6,
      "smsBindingKeyParam": 7,
      "smsBindingSecretKey": 8,
      "lwm2mServerSmsNum": 9,
      "shortServerId": 10,
      "clientHoldOffTime": 11,
    },
    "lwm2mServer": {
      "shortServerId": 0,
      "lifetime": 1,
      "defaultMinPeriod": 2,
      "defaultMaxPeriod": 3,
      "disable": 4,
      "disableTimeout": 5,
      "notificationStoring": 6,
      "binding": 7,
      "regUpdateTrigger": 8,
    },
    "accessCtrl": {
      "objectId": 0,
      "objectInstanceId": 1,
      "ACL": 2,
      "ACLOwner": 3,
    },
    "device": {
      "manuf": 0,
      "model": 1,
      "serial": 2,
      "firmware": 3,
      "reboot": 4,
      "factoryReset": 5,
      "availPwrSrc": 6,
      "pwrSrcVoltage": 7,
      "pwrSrcCurrent": 8,
      "battLevel": 9,
      "memFree": 10,
      "errCode": 11,
      "resetErrCode": 12,
      "currTime": 13,
      "UTCOffset": 14,
      "timezone": 15,
      "bindAndModes": 16,
      "devType": 17,
      "hwVer": 18,
      "swVer": 19,
      "battStatus": 20,
      "memTotal": 21,
    },
    "connMonitor": {
      "nwkBearer": 0,
      "availNwkBearer": 1,
      "radioStrength": 2,
      "linkQuality": 3,
      "ip": 4,
      "routeIp": 5,
      "linkUtil": 6,
      "APN": 7,
      "cellId": 8,
      "SMNC": 9,
      "SMCC": 10,
    },
    "firmware": {
      "package": 0,
      "packageURI": 1,
      "update": 2,
      "state": 3,
      "updateSuppObjects": 4,
      "updateResult": 5,
      "pkgName": 6,
      "pkgVer": 7,
    },
    "location": {
      "lat": 0,
      "lon": 1,
      "alt": 2,
      "radius": 3,
      "velocity": 4,
      "timestamp": 5,
      "speed": 6,
    },
    "connStatistics": {
      "SMSTxCounter": 0,
      "SMSRxCounter": 1,
      "txData": 2,
      "rxData": 3,
      "maxMsgSize": 4,
      "avgMsgSize": 5,
      "startOrReset": 6,
    },
    "dIn": {
      "dInState": 5500,
      "counter": 5501,
      "dInPolarity": 5502,
      "debouncePeriod": 5503,
      "edgeSelection": 5504,
      "counterReset": 5505,
      "appType": 5750,
      "sensorType": 5751,
    },
    "dOut": {
      "dOutState": 5550,
      "dOutPolarity": 5551,
      "appType": 5750,
    },
    "aIn": {
      "aInCurrValue": 5600,
      "minMeaValue": 5601,
      "maxMeaValue": 5602,
      "minRangeValue": 5603,
      "maxRangeValue": 5604,
      "resetMinMaxMeaValues": 5605,
      "appType": 5750,
      "sensorType": 5751,
    },
    "aOut": {
      "aOutCurrValue": 5650,
      "minRangeValue": 5603,
      "maxRangeValue": 5604,
      "appType": 5750,
    },
    "generic": {
      "sensorValue": 5700,
      "units": 5701,
      "minMeaValue": 5601,
      "maxMeaValue": 5602,
      "minRangeValue": 5603,
      "maxRangeValue": 5604,
      "resetMinMaxMeaValues": 5605,
      "appType": 5750,
      "sensorType": 5751,
    },
    "illuminance": {
      "sensorValue": 5700,
      "units": 5701,
      "minMeaValue": 5601,
      "maxMeaValue": 5602,
      "minRangeValue": 5603,
      "maxRangeValue": 5604,
      "resetMinMaxMeaValues": 5605,
    },
    "presence": {
      "dInState": 5500,
      "counter": 5501,
      "counterReset": 5505,
      "sensorType": 5751,
      "busyToClearDelay": 5903,
      "clearToBusyDelay": 5904,
    },
    "temperature": {
      "sensorValue": 5700,
      "units": 5701,
      "minMeaValue": 5601,
      "maxMeaValue": 5602,
      "minRangeValue": 5603,
      "maxRangeValue": 5604,
      "resetMinMaxMeaValues": 5605,
    },
    "humidity": {
      "sensorValue": 5700,
      "units": 5701,
      "minMeaValue": 5601,
      "maxMeaValue": 5602,
      "minRangeValue": 5603,
      "maxRangeValue": 5604,
      "resetMinMaxMeaValues": 5605,
    },
    "pwrMea": {
      "instActivePwr": 5800,
      "minMeaActivePwr": 5801,
      "maxMeaActivePwr": 5802,
      "minRangeActivePwr": 5803,
      "maxRangeActivePwr": 5804,
      "cumulActivePwr": 5805,
      "activePwrCal": 5806,
      "instReactivePwr": 5810,
      "minMeaReactivePwr": 5811,
      "maxMeaReactivePwr": 5812,
      "minRangeReactivePwr": 5813,
      "maxRangeReactivePwr": 5814,
      "resetMinMaxMeaValues": 5605,
      "cumulReactivePwr": 5815,
      "reactivePwrCal": 5816,
      "pwrFactor": 5820,
      "currCal": 5821,
      "resetCumulEnergy": 5822,
    },
    "actuation": {
      "onOff": 5850,
      "dimmer": 5851,
      "onTime": 5852,
      "mStateOut": 5853,
      "appType": 5750,
    },
    "setPoint": {
      "setPointValue": 5900,
      "colour": 5706,
      "units": 5701,
      "appType": 5750,
    },
    "loadCtrl": {
      "eventId": 5823,
      "startTime": 5824,
      "durationInMin": 5825,
      "criticalLevel": 5826,
      "avgLoadAdjPct": 5827,
      "dutyCycle": 5828,
    },
    "lightCtrl": {
      "onOff": 5850,
      "dimmer": 5851,
      "colour": 5706,
      "units": 5701,
      "onTime": 5852,
      "cumulActivePwr": 5805,
      "pwrFactor": 5820,
    },
    "pwrCtrl": {
      "onOff": 5850,
      "dimmer": 5851,
      "onTime": 5852,
      "cumulActivePwr": 5805,
      "pwrFactor": 5820,
    },
    "accelerometer": {
      "units": 5701,
      "xValue": 5702,
      "yValue": 5703,
      "zValue": 5704,
      "minRangeValue": 5603,
      "maxRangeValue": 5604,
    },
    "magnetometer": {
      "units": 5701,
      "xValue": 5702,
      "yValue": 5703,
      "zValue": 5704,
      "compassDir": 5705,
    },
    "barometer": {
      "sensorValue": 5700,
      "units": 5701,
      "minMeaValue": 5601,
      "maxMeaValue": 5602,
      "minRangeValue": 5603,
      "maxRangeValue": 5604,
      "resetMinMaxMeaValues": 5605,
    },
    "voltage": {
      "sensorValue": 5700,
      "units": 5701,
      "minMeaValue": 5601,
      "maxMeaValue": 5602,
      "minRangeValue": 5603,
      "maxRangeValue": 5604,
      "resetMinMaxMeaValues": 5605,
      "calOffset": 5535,
      "appType": 5750,
    },
    "current": {
      "sensorValue": 5700,
      "units": 5701,
      "minMeaValue": 5601,
      "maxMeaValue": 5602,
      "minRangeValue": 5603,
      "maxRangeValue": 5604,
      "resetMinMaxMeaValues": 5605,
      "calOffset": 5535,
      "appType": 5750,
    },
    "frequency": {
      "sensorValue": 5700,
      "units": 5701,
      "minMeaValue": 5601,
      "maxMeaValue": 5602,
      "minRangeValue": 5603,
      "maxRangeValue": 5604,
      "resetMinMaxMeaValues": 5605,
      "calOffset": 5535,
      "appType": 5750,
    },
    "depth": {
      "sensorValue": 5700,
      "units": 5701,
      "minMeaValue": 5601,
      "maxMeaValue": 5602,
      "minRangeValue": 5603,
      "maxRangeValue": 5604,
      "resetMinMaxMeaValues": 5605,
      "calOffset": 5535,
      "appType": 5750,
    },
    "percentage": {
      "sensorValue": 5700,
      "units": 5701,
      "minMeaValue": 5601,
      "maxMeaValue": 5602,
      "minRangeValue": 5603,
      "maxRangeValue": 5604,
      "resetMinMaxMeaValues": 5605,
      "calOffset": 5535,
      "appType": 5750,
    },
    "altitude": {
      "sensorValue": 5700,
      "units": 5701,
      "minMeaValue": 5601,
      "maxMeaValue": 5602,
      "minRangeValue": 5603,
      "maxRangeValue": 5604,
      "resetMinMaxMeaValues": 5605,
      "calOffset": 5535,
      "appType": 5750,
    },
    "load": {
      "sensorValue": 5700,
      "units": 5701,
      "minMeaValue": 5601,
      "maxMeaValue": 5602,
      "minRangeValue": 5603,
      "maxRangeValue": 5604,
      "resetMinMaxMeaValues": 5605,
      "calOffset": 5535,
      "appType": 5750,
    },
    "pressure": {
      "sensorValue": 5700,
      "units": 5701,
      "minMeaValue": 5601,
      "maxMeaValue": 5602,
      "minRangeValue": 5603,
      "maxRangeValue": 5604,
      "resetMinMaxMeaValues": 5605,
      "calOffset": 5535,
      "appType": 5750,
    },
    "loudness": {
      "sensorValue": 5700,
      "units": 5701,
      "minMeaValue": 5601,
      "maxMeaValue": 5602,
      "minRangeValue": 5603,
      "maxRangeValue": 5604,
      "resetMinMaxMeaValues": 5605,
      "calOffset": 5535,
      "appType": 5750,
    },
    "concentration": {
      "sensorValue": 5700,
      "units": 5701,
      "minMeaValue": 5601,
      "maxMeaValue": 5602,
      "minRangeValue": 5603,
      "maxRangeValue": 5604,
      "resetMinMaxMeaValues": 5605,
      "calOffset": 5535,
      "appType": 5750,
    },
    "acidity": {
      "sensorValue": 5700,
      "units": 5701,
      "minMeaValue": 5601,
      "maxMeaValue": 5602,
      "minRangeValue": 5603,
      "maxRangeValue": 5604,
      "resetMinMaxMeaValues": 5605,
      "calOffset": 5535,
      "appType": 5750,
    },
    "conductivity": {
      "sensorValue": 5700,
      "units": 5701,
      "minMeaValue": 5601,
      "maxMeaValue": 5602,
      "minRangeValue": 5603,
      "maxRangeValue": 5604,
      "resetMinMaxMeaValues": 5605,
      "calOffset": 5535,
      "appType": 5750,
    },
    "power": {
      "sensorValue": 5700,
      "units": 5701,
      "minMeaValue": 5601,
      "maxMeaValue": 5602,
      "minRangeValue": 5603,
      "maxRangeValue": 5604,
      "resetMinMaxMeaValues": 5605,
      "calOffset": 5535,
      "appType": 5750,
    },
    "powerFactor": {
      "sensorValue": 5700,
      "units": 5701,
      "minMeaValue": 5601,
      "maxMeaValue": 5602,
      "minRangeValue": 5603,
      "maxRangeValue": 5604,
      "resetMinMaxMeaValues": 5605,
      "calOffset": 5535,
      "appType": 5750,
    },
    "distance": {
      "sensorValue": 5700,
      "units": 5701,
      "minMeaValue": 5601,
      "maxMeaValue": 5602,
      "minRangeValue": 5603,
      "maxRangeValue": 5604,
      "resetMinMaxMeaValues": 5605,
      "calOffset": 5535,
      "appType": 5750,
    },
    "energy": {
      "cumulActivePwr": 5805,
      "units": 5701,
      "resetCumulEnergy": 5822,
      "appType": 5750,
    },
    "direction": {
      "compassDir": 5705,
      "minMeaValue": 5601,
      "maxMeaValue": 5602,
      "resetMinMaxMeaValues": 5605,
      "appType": 5750,
    },
    "time": {
      "currentTime": 5506,
      "fracTime": 5507,
      "appType": 5750,
    },
    "gyrometer": {
      "units": 5701,
      "xValue": 5702,
      "yValue": 5703,
      "zValue": 5704,
      "minRangeValue": 5603,
      "maxRangeValue": 5604,
      "minXValue": 5508,
      "maxXValue": 5509,
      "minYValue": 5510,
      "maxYValue": 5511,
      "minZValue": 5512,
      "maxZValue": 5513,
      "resetMinMaxMeaValues": 5605,
      "appType": 5750,
    },
    "colour": {
      "colour": 5706,
      "units": 5701,
      "appType": 5750,
    },
    "gpsLocation": {
      "latitude": 5514,
      "longitude": 5515,
      "uncertainty": 5516,
      "compassDir": 5705,
      "velocity": 5517,
      "timestamp": 5518,
      "appType": 5750,
    },
    "positioner": {
      "currentPos": 5536,
      "transTime": 5537,
      "remainTime": 5538,
      "minMeaValue": 5601,
      "maxMeaValue": 5602,
      "resetMinMaxMeaValues": 5605,
      "minLimit": 5519,
      "maxLimit": 5520,
      "appType": 5750,
    },
    "buzzer": {
      "onOff": 5850,
      "level": 5548,
      "timeDuration": 5521,
      "minOffTime": 5525,
      "appType": 5750,
    },
    "audioClip": {
      "clip": 5522,
      "trigger": 5523,
      "level": 5548,
      "soundDuration": 5524,
      "appType": 5750,
    },
    "timer": {
      "timeDuration": 5521,
      "remainTime": 5538,
      "minOffTime": 5525,
      "trigger": 5523,
      "onOff": 5850,
      "counter": 5501,
      "cumulTime": 5544,
      "digitalState": 5543,
      "eventCounter": 5534,
      "mode": 5526,
      "appType": 5750,
    },
    "addressableTextDisplay": {
      "text": 5527,
      "xCoord": 5528,
      "yCoord": 5529,
      "maxXCoord": 5545,
      "maxYCoord": 5546,
      "clearDisplay": 5530,
      "contrast": 5531,
      "level": 5548,
      "appType": 5750,
    },
    "onOffSwitch": {
      "dInState": 5500,
      "counter": 5501,
      "onTime": 5852,
      "offTime": 5854,
      "appType": 5750,
    },
    "levelControl": {
      "level": 5548,
      "onTime": 5852,
      "offTime": 5854,
      "appType": 5750,
    },
    "upDownControl": {
      "incInputState": 5532,
      "decInputState": 5533,
      "upCounter": 5541,
      "downCounter": 5542,
      "appType": 5750,
    },
    "multipleAxisJoystick": {
      "dInState": 5500,
      "counter": 5501,
      "xValue": 5702,
      "yValue": 5703,
      "zValue": 5704,
      "appType": 5750,
    },
    "rate": {
      "sensorValue": 5700,
      "units": 5701,
      "minMeaValue": 5601,
      "maxMeaValue": 5602,
      "minRangeValue": 5603,
      "maxRangeValue": 5604,
      "resetMinMaxMeaValues": 5605,
      "calOffset": 5535,
      "appType": 5750,
    },
    "pushButton": {
      "dInState": 5500,
      "counter": 5501,
      "appType": 5750,
    },
    "multistateSelector": {
      "mStateIn": 5547,
      "appType": 5750,
    },
  },
  "objectSpec": {
    "lwm2mSecurity": {"multi": true, "mand": true},
    "lwm2mServer": {"multi": true, "mand": true},
    "accessCtrl": {"multi": true, "mand": false},
    "device": {"multi": false, "mand": true},
    "connMonitor": {"multi": false, "mand": false},
    "firmware": {"multi": false, "mand": false},
    "location": {"multi": false, "mand": false},
    "connStatistics": {"multi": false, "mand": false},
  },
  "specificResrcChar": {
    "lwm2mSecurity": {
      "lwm2mServerURI": {
        "access": "N",
        "multi": false,
        "mand": true,
        "type": "string",
        "range": 255,
        "init": "",
      },
      "bootstrapServer": {
        "access": "N",
        "multi": false,
        "mand": true,
        "type": "boolean",
        "range": null,
        "init": false,
      },
      "securityMode": {
        "access": "N",
        "multi": false,
        "mand": true,
        "type": "integer",
        "range": 3,
        "init": false,
      },
      "pubKeyId": {
        "access": "N",
        "multi": false,
        "mand": true,
        "type": "opaque",
        "range": null,
        "init": 0,
      },
      "serverPubKeyId": {
        "access": "N",
        "multi": false,
        "mand": true,
        "type": "opaque",
        "range": null,
        "init": 0,
      },
      "secretKey": {
        "access": "N",
        "multi": false,
        "mand": true,
        "type": "opaque",
        "range": null,
        "init": 0,
      },
      "smsSecurityMode": {
        "access": "N",
        "multi": false,
        "mand": false,
        "type": "integer",
        "range": 255,
        "init": 3,
      },
      "smsBindingKeyParam": {
        "access": "N",
        "multi": false,
        "mand": false,
        "type": "opaque",
        "range": 6,
        "init": 0,
      },
      "smsBindingSecretKey": {
        "access": "N",
        "multi": false,
        "mand": false,
        "type": "opaque",
        "range": 48,
        "init": 0,
      },
      "lwm2mServerSmsNum": {
        "access": "N",
        "multi": false,
        "mand": false,
        "type": "integer",
        "range": null,
        "init": 0,
      },
      "shortServerId": {
        "access": "N",
        "multi": false,
        "mand": false,
        "type": "integer",
        "range": 65535,
        "init": 1,
      },
      "clientHoldOffTime": {
        "access": "N",
        "multi": false,
        "mand": false,
        "type": "integer",
        "range": null,
        "init": 0,
      },
    },
    "lwm2mServer": {
      "shortServerId": {
        "access": "R",
        "multi": false,
        "mand": true,
        "type": "integer",
        "range": 65535,
        "init": 1,
      },
      "lifetime": {
        "access": "RW",
        "multi": false,
        "mand": true,
        "type": "integer",
        "range": null,
        "init": 86400,
      },
      "defaultMinPeriod": {
        "access": "RW",
        "multi": false,
        "mand": false,
        "type": "integer",
        "range": null,
        "init": 1,
      },
      "defaultMaxPeriod": {
        "access": "RW",
        "multi": false,
        "mand": false,
        "type": "integer",
        "range": null,
        "init": 60,
      },
      "disable": {
        "access": "E",
        "multi": false,
        "mand": false,
        "type": "execute",
        "range": null,
        "init": null,
      },
      "disableTimeout": {
        "access": "RW",
        "multi": false,
        "mand": false,
        "type": "integer",
        "range": null,
        "init": 86400,
      },
      "notificationStoring": {
        "access": "RW",
        "multi": false,
        "mand": true,
        "type": "boolean",
        "range": null,
        "init": true,
      },
      "binding": {
        "access": "RW",
        "multi": false,
        "mand": true,
        "type": "string",
        "range": null,
        "init": "TCP",
      },
      "regUpdateTrigger": {
        "access": "E",
        "multi": false,
        "mand": true,
        "type": "execute",
        "range": null,
        "init": null,
      },
    },
    "accessCtrl": {
      "objectId": {
        "access": "R",
        "multi": false,
        "mand": true,
        "type": "integer",
        "range": 65534,
        "init": 1,
      },
      "objectInstanceId": {
        "access": "R",
        "multi": false,
        "mand": true,
        "type": "integer",
        "range": 65535,
        "init": 0,
      },
      "ACL": {
        "access": "RW",
        "multi": true,
        "mand": false,
        "type": "integer",
        "range": 65535,
        "init": 0,
      },
      "ACLOwner": {
        "access": "RW",
        "multi": false,
        "mand": true,
        "type": "integer",
        "range": 65535,
        "init": 0,
      },
    },
    "device": {
      "manuf": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "string",
        "range": null,
        "init": "freebird",
      },
      "model": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "string",
        "range": null,
        "init": "freebird-smarthing-v1",
      },
      "serial": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "string",
        "range": null,
        "init": "fb-0000-0001",
      },
      "firmware": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "string",
        "range": null,
        "init": "0.0.1",
      },
      "reboot": {
        "access": "E",
        "multi": false,
        "mand": true,
        "type": "execute",
        "range": null,
        "init": null,
      },
      "factoryReset": {
        "access": "E",
        "multi": false,
        "mand": false,
        "type": "execute",
        "range": null,
        "init": null,
      },
      "availPwrSrc": {
        "access": "R",
        "multi": true,
        "mand": false,
        "type": "integer",
        "range": 7,
        "init": 0,
      },
      "pwrSrcVoltage": {
        "access": "R",
        "multi": true,
        "mand": false,
        "type": "integer",
        "range": null,
        "init": 3300,
      },
      "pwrSrcCurrent": {
        "access": "R",
        "multi": true,
        "mand": false,
        "type": "integer",
        "range": null,
        "init": 0,
      },
      "battLevel": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "integer",
        "range": 100,
        "init": 100,
      },
      "memFree": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "integer",
        "range": null,
        "init": 0,
      },
      "errCode": {
        "access": "R",
        "multi": true,
        "mand": true,
        "type": "integer",
        "range": 8,
        "init": 0,
      },
      "resetErrCode": {
        "access": "E",
        "multi": true,
        "mand": false,
        "type": "execute",
        "range": null,
        "init": null,
      },
      "currTime": {
        "access": "RW",
        "multi": false,
        "mand": false,
        "type": "time",
        "range": null,
        "init": 0,
      },
      "UTCOffset": {
        "access": "RW",
        "multi": false,
        "mand": false,
        "type": "string",
        "range": null,
        "init": "UTC+08:00",
      },
      "timezone": {
        "access": "RW",
        "multi": false,
        "mand": false,
        "type": "string",
        "range": null,
        "init": "Asia/Taipei",
      },
      "bindAndModes": {
        "access": "R",
        "multi": false,
        "mand": true,
        "type": "string",
        "range": null,
        "init": "TCP",
      },
      "devType": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "string",
        "range": null,
        "init": "mqtt-smarthing",
      },
      "hwVer": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "string",
        "range": null,
        "init": "0.0.1",
      },
      "swVer": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "string",
        "range": null,
        "init": "0.0.1",
      },
      "battStatus": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "integer",
        "range": 6,
        "init": 0,
      },
      "memTotal": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "integer",
        "range": null,
        "init": 0,
      },
    },
    "connMonitor": {
      "nwkBearer": {
        "access": "R",
        "multi": false,
        "mand": true,
        "type": "integer",
        "range": null,
        "init": 21,
      },
      "availNwkBearer": {
        "access": "R",
        "multi": true,
        "mand": true,
        "type": "integer",
        "range": null,
        "init": 21,
      },
      "radioStrength": {
        "access": "R",
        "multi": false,
        "mand": true,
        "type": "integer",
        "range": null,
        "init": 64,
      },
      "linkQuality": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "integer",
        "range": null,
        "init": 100,
      },
      "ip": {
        "access": "R",
        "multi": true,
        "mand": true,
        "type": "string",
        "range": null,
        "init": "",
      },
      "routeIp": {
        "access": "R",
        "multi": true,
        "mand": false,
        "type": "string",
        "range": null,
        "init": "",
      },
      "linkUtil": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "integer",
        "range": 100,
        "init": 50,
      },
      "APN": {
        "access": "R",
        "multi": true,
        "mand": false,
        "type": "string",
        "range": null,
        "init": "",
      },
      "cellId": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "integer",
        "range": null,
        "init": 1,
      },
      "SMNC": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "integer",
        "range": null,
        "init": 0,
      },
      "SMCC": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "integer",
        "range": null,
        "init": 0,
      },
    },
    "firmware": {
      "package": {
        "access": "W",
        "multi": false,
        "mand": true,
        "type": "opaque",
        "range": null,
        "init": 0,
      },
      "packageURI": {
        "access": "W",
        "multi": false,
        "mand": true,
        "type": "string",
        "range": 255,
        "init": "",
      },
      "update": {
        "access": "E",
        "multi": false,
        "mand": true,
        "type": "execute",
        "range": null,
        "init": null,
      },
      "state": {
        "access": "R",
        "multi": false,
        "mand": true,
        "type": "integer",
        "range": 3,
        "init": 1,
      },
      "updateSuppObjects": {
        "access": "RW",
        "multi": false,
        "mand": false,
        "type": "boolean",
        "range": null,
        "init": false,
      },
      "updateResult": {
        "access": "R",
        "multi": false,
        "mand": true,
        "type": "integer",
        "range": 6,
        "init": 0,
      },
      "pkgName": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "string",
        "range": 255,
        "init": "",
      },
      "pkgVer": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "string",
        "range": 255,
        "init": "",
      },
    },
    "location": {
      "lat": {
        "access": "R",
        "multi": false,
        "mand": true,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "lon": {
        "access": "R",
        "multi": false,
        "mand": true,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "alt": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "radius": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "velocity": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "opaque",
        "range": null,
        "init": 0,
      },
      "timestamp": {
        "access": "R",
        "multi": false,
        "mand": true,
        "type": "time",
        "range": null,
        "init": 0,
      },
      "speed": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
    },
    "connStatistics": {
      "SMSTxCounter": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "integer",
        "range": null,
        "init": 0,
      },
      "SMSRxCounter": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "integer",
        "range": null,
        "init": 0,
      },
      "txData": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "integer",
        "range": null,
        "init": 0,
      },
      "rxData": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "integer",
        "range": null,
        "init": 0,
      },
      "maxMsgSize": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "integer",
        "range": null,
        "init": 0,
      },
      "avgMsgSize": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "integer",
        "range": null,
        "init": 0,
      },
      "startOrReset": {
        "access": "E",
        "multi": false,
        "mand": true,
        "type": "execute",
        "range": null,
        "init": null,
      },
    },
    "dIn": {
      "dInState": {
        "access": "R",
        "multi": false,
        "mand": true,
        "type": "boolean",
        "range": null,
        "init": false,
      },
      "counter": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "integer",
        "range": null,
        "init": 0,
      },
      "dInPolarity": {
        "access": "RW",
        "multi": false,
        "mand": false,
        "type": "boolean",
        "range": null,
        "init": false,
      },
      "debouncePeriod": {
        "access": "RW",
        "multi": false,
        "mand": false,
        "type": "integer",
        "range": null,
        "init": 0,
      },
      "edgeSelection": {
        "access": "RW",
        "multi": false,
        "mand": false,
        "type": "integer",
        "range": 3,
        "init": 2,
      },
      "counterReset": {
        "access": "E",
        "multi": false,
        "mand": false,
        "type": "opaque",
        "range": null,
        "init": null,
      },
      "appType": {
        "access": "RW",
        "multi": false,
        "mand": false,
        "type": "string",
        "range": null,
        "init": "Digital Input",
      },
      "sensorType": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "string",
        "range": null,
        "init": "Digital",
      },
    },
    "dOut": {
      "dOutState": {
        "access": "RW",
        "multi": false,
        "mand": true,
        "type": "boolean",
        "range": null,
        "init": false,
      },
      "dOutPolarity": {
        "access": "RW",
        "multi": false,
        "mand": false,
        "type": "boolean",
        "range": null,
        "init": false,
      },
      "appType": {
        "access": "RW",
        "multi": false,
        "mand": false,
        "type": "string",
        "range": null,
        "init": "Digital Output",
      },
    },
    "aIn": {
      "aInCurrValue": {
        "access": "R",
        "multi": false,
        "mand": true,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "minMeaValue": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "maxMeaValue": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "minRangeValue": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "maxRangeValue": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "resetMinMaxMeaValues": {
        "access": "E",
        "multi": false,
        "mand": false,
        "type": "opaque",
        "range": null,
        "init": null,
      },
      "appType": {
        "access": "RW",
        "multi": false,
        "mand": false,
        "type": "string",
        "range": null,
        "init": "Analog Input",
      },
      "sensorType": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "string",
        "range": null,
        "init": "Analog",
      },
    },
    "aOut": {
      "aOutCurrValue": {
        "access": "RW",
        "multi": false,
        "mand": true,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "minRangeValue": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "maxRangeValue": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "appType": {
        "access": "RW",
        "multi": false,
        "mand": false,
        "type": "string",
        "range": null,
        "init": "Analog Output",
      },
    },
    "generic": {
      "sensorValue": {
        "access": "R",
        "multi": false,
        "mand": true,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "units": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "string",
        "range": null,
        "init": "uint",
      },
      "minMeaValue": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "maxMeaValue": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "minRangeValue": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "maxRangeValue": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "resetMinMaxMeaValues": {
        "access": "E",
        "multi": false,
        "mand": false,
        "type": "opaque",
        "range": null,
        "init": null,
      },
      "appType": {
        "access": "RW",
        "multi": false,
        "mand": false,
        "type": "string",
        "range": null,
        "init": "Generic Sensor",
      },
      "sensorType": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "string",
        "range": null,
        "init": "Generic",
      },
    },
    "illuminance": {
      "sensorValue": {
        "access": "R",
        "multi": false,
        "mand": true,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "units": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "string",
        "range": null,
        "init": "lux",
      },
      "minMeaValue": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "maxMeaValue": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "minRangeValue": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "maxRangeValue": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "resetMinMaxMeaValues": {
        "access": "E",
        "multi": false,
        "mand": false,
        "type": "opaque",
        "range": null,
        "init": null,
      },
    },
    "presence": {
      "dInState": {
        "access": "R",
        "multi": false,
        "mand": true,
        "type": "boolean",
        "range": null,
        "init": false,
      },
      "counter": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "integer",
        "range": null,
        "init": 0,
      },
      "counterReset": {
        "access": "E",
        "multi": false,
        "mand": false,
        "type": "opaque",
        "range": null,
        "init": null,
      },
      "sensorType": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "string",
        "range": null,
        "init": "Presence",
      },
      "busyToClearDelay": {
        "access": "RW",
        "multi": false,
        "mand": false,
        "type": "integer",
        "range": null,
        "init": 0,
      },
      "clearToBusyDelay": {
        "access": "RW",
        "multi": false,
        "mand": false,
        "type": "integer",
        "range": null,
        "init": 0,
      },
    },
    "temperature": {
      "sensorValue": {
        "access": "R",
        "multi": false,
        "mand": true,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "units": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "string",
        "range": null,
        "init": "Cel",
      },
      "minMeaValue": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "maxMeaValue": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "minRangeValue": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "maxRangeValue": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "resetMinMaxMeaValues": {
        "access": "E",
        "multi": false,
        "mand": false,
        "type": "opaque",
        "range": null,
        "init": null,
      },
    },
    "humidity": {
      "sensorValue": {
        "access": "R",
        "multi": false,
        "mand": true,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "units": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "string",
        "range": null,
        "init": "%",
      },
      "minMeaValue": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "maxMeaValue": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "minRangeValue": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "maxRangeValue": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "resetMinMaxMeaValues": {
        "access": "E",
        "multi": false,
        "mand": false,
        "type": "opaque",
        "range": null,
        "init": null,
      },
    },
    "pwrMea": {
      "instActivePwr": {
        "access": "R",
        "multi": false,
        "mand": true,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "minMeaActivePwr": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "maxMeaActivePwr": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "minRangeActivePwr": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "maxRangeActivePwr": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "cumulActivePwr": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "activePwrCal": {
        "access": "W",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "instReactivePwr": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "minMeaReactivePwr": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "maxMeaReactivePwr": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "minRangeReactivePwr": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "maxRangeReactivePwr": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "resetMinMaxMeaValues": {
        "access": "E",
        "multi": false,
        "mand": false,
        "type": "opaque",
        "range": null,
        "init": null,
      },
      "cumulReactivePwr": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "reactivePwrCal": {
        "access": "W",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "pwrFactor": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "currCal": {
        "access": "RW",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "resetCumulEnergy": {
        "access": "E",
        "multi": false,
        "mand": false,
        "type": "opaque",
        "range": null,
        "init": null,
      },
    },
    "actuation": {
      "onOff": {
        "access": "RW",
        "multi": false,
        "mand": true,
        "type": "boolean",
        "range": null,
        "init": false,
      },
      "dimmer": {
        "access": "RW",
        "multi": false,
        "mand": false,
        "type": "integer",
        "range": 100,
        "init": 0,
      },
      "onTime": {
        "access": "RW",
        "multi": false,
        "mand": false,
        "type": "integer",
        "range": 100,
        "init": 0,
      },
      "mStateOut": {
        "access": "RW",
        "multi": false,
        "mand": false,
        "type": "string",
        "range": null,
        "init": "Pilot Wire",
      },
      "appType": {
        "access": "RW",
        "multi": false,
        "mand": false,
        "type": "string",
        "range": null,
        "init": "Actuator",
      },
    },
    "setPoint": {
      "setPointValue": {
        "access": "RW",
        "multi": false,
        "mand": true,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "colour": {
        "access": "RW",
        "multi": false,
        "mand": false,
        "type": "string",
        "range": 100,
        "init": "#fff",
      },
      "units": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "string",
        "range": null,
        "init": "uint",
      },
      "appType": {
        "access": "RW",
        "multi": false,
        "mand": false,
        "type": "string",
        "range": null,
        "init": "Set Point",
      },
    },
    "loadCtrl": {
      "eventId": {
        "access": "RW",
        "multi": false,
        "mand": true,
        "type": "string",
        "range": null,
        "init": "evt01",
      },
      "startTime": {
        "access": "RW",
        "multi": false,
        "mand": true,
        "type": "time",
        "range": null,
        "init": 0,
      },
      "durationInMin": {
        "access": "RW",
        "multi": false,
        "mand": true,
        "type": "integer",
        "range": null,
        "init": 0,
      },
      "criticalLevel": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "integer",
        "range": 3,
        "init": 0,
      },
      "avgLoadAdjPct": {
        "access": "RW",
        "multi": false,
        "mand": false,
        "type": "integer",
        "range": 100,
        "init": 0,
      },
      "dutyCycle": {
        "access": "RW",
        "multi": false,
        "mand": false,
        "type": "integer",
        "range": 100,
        "init": 0,
      },
    },
    "lightCtrl": {
      "onOff": {
        "access": "RW",
        "multi": false,
        "mand": true,
        "type": "boolean",
        "range": null,
        "init": false,
      },
      "dimmer": {
        "access": "RW",
        "multi": false,
        "mand": false,
        "type": "integer",
        "range": 100,
        "init": 0,
      },
      "colour": {
        "access": "RW",
        "multi": false,
        "mand": false,
        "type": "string",
        "range": 100,
        "init": "#fff",
      },
      "units": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "string",
        "range": null,
        "init": "uint",
      },
      "onTime": {
        "access": "RW",
        "multi": false,
        "mand": false,
        "type": "integer",
        "range": 100,
        "init": 0,
      },
      "cumulActivePwr": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "pwrFactor": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
    },
    "pwrCtrl": {
      "onOff": {
        "access": "RW",
        "multi": false,
        "mand": true,
        "type": "boolean",
        "range": null,
        "init": false,
      },
      "dimmer": {
        "access": "RW",
        "multi": false,
        "mand": false,
        "type": "integer",
        "range": 100,
        "init": 0,
      },
      "onTime": {
        "access": "RW",
        "multi": false,
        "mand": false,
        "type": "integer",
        "range": 100,
        "init": 0,
      },
      "cumulActivePwr": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "pwrFactor": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
    },
    "accelerometer": {
      "xValue": {
        "access": "R",
        "multi": false,
        "mand": true,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "yValue": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "zValue": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "units": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "string",
        "range": null,
        "init": "uint",
      },
      "minRangeValue": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "maxRangeValue": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
    },
    "magnetometer": {
      "xValue": {
        "access": "R",
        "multi": false,
        "mand": true,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "yValue": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "zValue": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "units": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "string",
        "range": null,
        "init": "uint",
      },
      "compassDir": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": 360,
        "init": 0,
      },
    },
    "barometer": {
      "sensorValue": {
        "access": "R",
        "multi": false,
        "mand": true,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "units": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "string",
        "range": null,
        "init": "uint",
      },
      "minMeaValue": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "maxMeaValue": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "minRangeValue": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "maxRangeValue": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "resetMinMaxMeaValues": {
        "access": "E",
        "multi": false,
        "mand": false,
        "type": "opaque",
        "range": null,
        "init": null,
      },
    },
    "voltage": {
      "sensorValue": {
        "access": "R",
        "multi": false,
        "mand": true,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "units": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "string",
        "range": null,
        "init": "uint",
      },
      "minMeaValue": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "maxMeaValue": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "minRangeValue": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "maxRangeValue": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "resetMinMaxMeaValues": {
        "access": "E",
        "multi": false,
        "mand": false,
        "type": "opaque",
        "range": null,
        "init": null,
      },
      "calOffset": {
        "access": "RW",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": null,
      },
      "appType": {
        "access": "RW",
        "multi": false,
        "mand": false,
        "type": "string",
        "range": null,
        "init": "voltage",
      },
    },
    "current": {
      "sensorValue": {
        "access": "R",
        "multi": false,
        "mand": true,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "units": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "string",
        "range": null,
        "init": "uint",
      },
      "minMeaValue": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "maxMeaValue": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "minRangeValue": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "maxRangeValue": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "resetMinMaxMeaValues": {
        "access": "E",
        "multi": false,
        "mand": false,
        "type": "opaque",
        "range": null,
        "init": null,
      },
      "calOffset": {
        "access": "RW",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": null,
      },
      "appType": {
        "access": "RW",
        "multi": false,
        "mand": false,
        "type": "string",
        "range": null,
        "init": "current",
      },
    },
    "frequency": {
      "sensorValue": {
        "access": "R",
        "multi": false,
        "mand": true,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "units": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "string",
        "range": null,
        "init": "uint",
      },
      "minMeaValue": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "maxMeaValue": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "minRangeValue": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "maxRangeValue": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "resetMinMaxMeaValues": {
        "access": "E",
        "multi": false,
        "mand": false,
        "type": "opaque",
        "range": null,
        "init": null,
      },
      "calOffset": {
        "access": "RW",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": null,
      },
      "appType": {
        "access": "RW",
        "multi": false,
        "mand": false,
        "type": "string",
        "range": null,
        "init": "frequency",
      },
    },
    "depth": {
      "sensorValue": {
        "access": "R",
        "multi": false,
        "mand": true,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "units": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "string",
        "range": null,
        "init": "uint",
      },
      "minMeaValue": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "maxMeaValue": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "minRangeValue": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "maxRangeValue": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "resetMinMaxMeaValues": {
        "access": "E",
        "multi": false,
        "mand": false,
        "type": "opaque",
        "range": null,
        "init": null,
      },
      "calOffset": {
        "access": "RW",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": null,
      },
      "appType": {
        "access": "RW",
        "multi": false,
        "mand": false,
        "type": "string",
        "range": null,
        "init": "depth",
      },
    },
    "percentage": {
      "sensorValue": {
        "access": "R",
        "multi": false,
        "mand": true,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "units": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "string",
        "range": null,
        "init": "uint",
      },
      "minMeaValue": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "maxMeaValue": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "minRangeValue": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "maxRangeValue": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "resetMinMaxMeaValues": {
        "access": "E",
        "multi": false,
        "mand": false,
        "type": "opaque",
        "range": null,
        "init": null,
      },
      "calOffset": {
        "access": "RW",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": null,
      },
      "appType": {
        "access": "RW",
        "multi": false,
        "mand": false,
        "type": "string",
        "range": null,
        "init": "percentage",
      },
    },
    "altitude": {
      "sensorValue": {
        "access": "R",
        "multi": false,
        "mand": true,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "units": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "string",
        "range": null,
        "init": "uint",
      },
      "minMeaValue": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "maxMeaValue": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "minRangeValue": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "maxRangeValue": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "resetMinMaxMeaValues": {
        "access": "E",
        "multi": false,
        "mand": false,
        "type": "opaque",
        "range": null,
        "init": null,
      },
      "calOffset": {
        "access": "RW",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": null,
      },
      "appType": {
        "access": "RW",
        "multi": false,
        "mand": false,
        "type": "string",
        "range": null,
        "init": "altitude",
      },
    },
    "load": {
      "sensorValue": {
        "access": "R",
        "multi": false,
        "mand": true,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "units": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "string",
        "range": null,
        "init": "uint",
      },
      "minMeaValue": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "maxMeaValue": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "minRangeValue": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "maxRangeValue": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "resetMinMaxMeaValues": {
        "access": "E",
        "multi": false,
        "mand": false,
        "type": "opaque",
        "range": null,
        "init": null,
      },
      "calOffset": {
        "access": "RW",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": null,
      },
      "appType": {
        "access": "RW",
        "multi": false,
        "mand": false,
        "type": "string",
        "range": null,
        "init": "load",
      },
    },
    "pressure": {
      "sensorValue": {
        "access": "R",
        "multi": false,
        "mand": true,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "units": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "string",
        "range": null,
        "init": "uint",
      },
      "minMeaValue": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "maxMeaValue": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "minRangeValue": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "maxRangeValue": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "resetMinMaxMeaValues": {
        "access": "E",
        "multi": false,
        "mand": false,
        "type": "opaque",
        "range": null,
        "init": null,
      },
      "calOffset": {
        "access": "RW",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": null,
      },
      "appType": {
        "access": "RW",
        "multi": false,
        "mand": false,
        "type": "string",
        "range": null,
        "init": "pressure",
      },
    },
    "loudness": {
      "sensorValue": {
        "access": "R",
        "multi": false,
        "mand": true,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "units": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "string",
        "range": null,
        "init": "uint",
      },
      "minMeaValue": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "maxMeaValue": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "minRangeValue": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "maxRangeValue": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "resetMinMaxMeaValues": {
        "access": "E",
        "multi": false,
        "mand": false,
        "type": "opaque",
        "range": null,
        "init": null,
      },
      "calOffset": {
        "access": "RW",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": null,
      },
      "appType": {
        "access": "RW",
        "multi": false,
        "mand": false,
        "type": "string",
        "range": null,
        "init": "loudness",
      },
    },
    "concentration": {
      "sensorValue": {
        "access": "R",
        "multi": false,
        "mand": true,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "units": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "string",
        "range": null,
        "init": "uint",
      },
      "minMeaValue": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "maxMeaValue": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "minRangeValue": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "maxRangeValue": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "resetMinMaxMeaValues": {
        "access": "E",
        "multi": false,
        "mand": false,
        "type": "opaque",
        "range": null,
        "init": null,
      },
      "calOffset": {
        "access": "RW",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": null,
      },
      "appType": {
        "access": "RW",
        "multi": false,
        "mand": false,
        "type": "string",
        "range": null,
        "init": "concentration",
      },
    },
    "acidity": {
      "sensorValue": {
        "access": "R",
        "multi": false,
        "mand": true,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "units": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "string",
        "range": null,
        "init": "uint",
      },
      "minMeaValue": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "maxMeaValue": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "minRangeValue": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "maxRangeValue": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "resetMinMaxMeaValues": {
        "access": "E",
        "multi": false,
        "mand": false,
        "type": "opaque",
        "range": null,
        "init": null,
      },
      "calOffset": {
        "access": "RW",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": null,
      },
      "appType": {
        "access": "RW",
        "multi": false,
        "mand": false,
        "type": "string",
        "range": null,
        "init": "acidity",
      },
    },
    "conductivity": {
      "sensorValue": {
        "access": "R",
        "multi": false,
        "mand": true,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "units": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "string",
        "range": null,
        "init": "uint",
      },
      "minMeaValue": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "maxMeaValue": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "minRangeValue": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "maxRangeValue": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "resetMinMaxMeaValues": {
        "access": "E",
        "multi": false,
        "mand": false,
        "type": "opaque",
        "range": null,
        "init": null,
      },
      "calOffset": {
        "access": "RW",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": null,
      },
      "appType": {
        "access": "RW",
        "multi": false,
        "mand": false,
        "type": "string",
        "range": null,
        "init": "conductivity",
      },
    },
    "power": {
      "sensorValue": {
        "access": "R",
        "multi": false,
        "mand": true,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "units": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "string",
        "range": null,
        "init": "uint",
      },
      "minMeaValue": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "maxMeaValue": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "minRangeValue": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "maxRangeValue": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "resetMinMaxMeaValues": {
        "access": "E",
        "multi": false,
        "mand": false,
        "type": "opaque",
        "range": null,
        "init": null,
      },
      "calOffset": {
        "access": "RW",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": null,
      },
      "appType": {
        "access": "RW",
        "multi": false,
        "mand": false,
        "type": "string",
        "range": null,
        "init": "power",
      },
    },
    "powerFactor": {
      "sensorValue": {
        "access": "R",
        "multi": false,
        "mand": true,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "units": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "string",
        "range": null,
        "init": "uint",
      },
      "minMeaValue": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "maxMeaValue": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "minRangeValue": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "maxRangeValue": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "resetMinMaxMeaValues": {
        "access": "E",
        "multi": false,
        "mand": false,
        "type": "opaque",
        "range": null,
        "init": null,
      },
      "calOffset": {
        "access": "RW",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": null,
      },
      "appType": {
        "access": "RW",
        "multi": false,
        "mand": false,
        "type": "string",
        "range": null,
        "init": "powerFactor",
      },
    },
    "distance": {
      "sensorValue": {
        "access": "R",
        "multi": false,
        "mand": true,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "units": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "string",
        "range": null,
        "init": "uint",
      },
      "minMeaValue": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "maxMeaValue": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "minRangeValue": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "maxRangeValue": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "resetMinMaxMeaValues": {
        "access": "E",
        "multi": false,
        "mand": false,
        "type": "opaque",
        "range": null,
        "init": null,
      },
      "calOffset": {
        "access": "RW",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": null,
      },
      "appType": {
        "access": "RW",
        "multi": false,
        "mand": false,
        "type": "string",
        "range": null,
        "init": "distance",
      },
    },
    "energy": {
      "cumulActivePwr": {
        "access": "R",
        "multi": false,
        "mand": true,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "units": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "string",
        "range": null,
        "init": "uint",
      },
      "resetCumulEnergy": {
        "access": "E",
        "multi": false,
        "mand": false,
        "type": "opaque",
        "range": null,
        "init": null,
      },
      "appType": {
        "access": "RW",
        "multi": false,
        "mand": false,
        "type": "string",
        "range": null,
        "init": "energy",
      },
    },
    "direction": {
      "compassDir": {
        "access": "R",
        "multi": false,
        "mand": true,
        "type": "float",
        "range": 360,
        "init": 0,
      },
      "minMeaValue": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "maxMeaValue": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "resetMinMaxMeaValues": {
        "access": "E",
        "multi": false,
        "mand": false,
        "type": "opaque",
        "range": null,
        "init": null,
      },
      "appType": {
        "access": "RW",
        "multi": false,
        "mand": false,
        "type": "string",
        "range": null,
        "init": "direction",
      },
    },
    "time": {
      "currentTime": {
        "access": "RW",
        "multi": false,
        "mand": true,
        "type": "time",
        "range": null,
        "init": 0,
      },
      "fracTime": {
        "access": "RW",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": 1,
        "init": 0,
      },
      "appType": {
        "access": "RW",
        "multi": false,
        "mand": false,
        "type": "string",
        "range": null,
        "init": "time",
      },
    },
    "gyrometer": {
      "xValue": {
        "access": "R",
        "multi": false,
        "mand": true,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "yValue": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "zValue": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "units": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "string",
        "range": null,
        "init": "uint",
      },
      "minRangeValue": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "maxRangeValue": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "minXValue": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "maxXValue": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "minYValue": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "maxYValue": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "minZValue": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "maxZValue": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "resetMinMaxMeaValues": {
        "access": "E",
        "multi": false,
        "mand": false,
        "type": "opaque",
        "range": null,
        "init": null,
      },
      "appType": {
        "access": "RW",
        "multi": false,
        "mand": false,
        "type": "string",
        "range": null,
        "init": "gyrometer",
      },
    },
    "colour": {
      "colour": {
        "access": "RW",
        "multi": false,
        "mand": true,
        "type": "string",
        "range": 100,
        "init": "#fff",
      },
      "units": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "string",
        "range": null,
        "init": "uint",
      },
      "appType": {
        "access": "RW",
        "multi": false,
        "mand": false,
        "type": "string",
        "range": null,
        "init": "colour",
      },
    },
    "gpsLocation": {
      "latitude": {
        "access": "R",
        "multi": false,
        "mand": true,
        "type": "string",
        "range": null,
        "init": "0.00",
      },
      "longitude": {
        "access": "R",
        "multi": false,
        "mand": true,
        "type": "string",
        "range": null,
        "init": "0.00",
      },
      "uncertainty": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "string",
        "range": null,
        "init": "0.00",
      },
      "compassDir": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": 360,
        "init": 0,
      },
      "velocity": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "opaque",
        "range": null,
        "init": 0,
      },
      "timestamp": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "time",
        "range": null,
        "init": 0,
      },
      "appType": {
        "access": "RW",
        "multi": false,
        "mand": false,
        "type": "string",
        "range": null,
        "init": "gpsLocation",
      },
    },
    "positioner": {
      "currentPos": {
        "access": "RW",
        "multi": false,
        "mand": true,
        "type": "float",
        "range": 100,
        "init": 0,
      },
      "transTime": {
        "access": "RW",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "remainTime": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "minMeaValue": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "maxMeaValue": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "resetMinMaxMeaValues": {
        "access": "E",
        "multi": false,
        "mand": false,
        "type": "opaque",
        "range": null,
        "init": null,
      },
      "minLimit": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "maxLimit": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "appType": {
        "access": "RW",
        "multi": false,
        "mand": false,
        "type": "string",
        "range": null,
        "init": "positioner",
      },
    },
    "buzzer": {
      "onOff": {
        "access": "RW",
        "multi": false,
        "mand": true,
        "type": "boolean",
        "range": null,
        "init": false,
      },
      "level": {
        "access": "RW",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": 100,
        "init": 0,
      },
      "timeDuration": {
        "access": "RW",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "minOffTime": {
        "access": "RW",
        "multi": false,
        "mand": true,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "appType": {
        "access": "RW",
        "multi": false,
        "mand": false,
        "type": "string",
        "range": null,
        "init": "buzzer",
      },
    },
    "audioClip": {
      "clip": {
        "access": "RW",
        "multi": false,
        "mand": true,
        "type": "opaque",
        "range": null,
        "init": null,
      },
      "trigger": {
        "access": "E",
        "multi": false,
        "mand": false,
        "type": "opaque",
        "range": null,
        "init": null,
      },
      "level": {
        "access": "RW",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": 100,
        "init": 0,
      },
      "soundDuration": {
        "access": "RW",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "appType": {
        "access": "RW",
        "multi": false,
        "mand": false,
        "type": "string",
        "range": null,
        "init": "audioClip",
      },
    },
    "timer": {
      "timeDuration": {
        "access": "RW",
        "multi": false,
        "mand": true,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "remainTime": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "minOffTime": {
        "access": "RW",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "trigger": {
        "access": "E",
        "multi": false,
        "mand": false,
        "type": "opaque",
        "range": null,
        "init": null,
      },
      "onOff": {
        "access": "RW",
        "multi": false,
        "mand": false,
        "type": "boolean",
        "range": null,
        "init": false,
      },
      "counter": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "integer",
        "range": null,
        "init": 0,
      },
      "cumulTime": {
        "access": "RW",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "digitalState": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "boolean",
        "range": null,
        "init": false,
      },
      "eventCounter": {
        "access": "RW",
        "multi": false,
        "mand": false,
        "type": "integer",
        "range": null,
        "init": 0,
      },
      "mode": {
        "access": "RW",
        "multi": false,
        "mand": false,
        "type": "integer",
        "range": 4,
        "init": 0,
      },
      "appType": {
        "access": "RW",
        "multi": false,
        "mand": false,
        "type": "string",
        "range": null,
        "init": "timer",
      },
    },
    "addressableTextDisplay": {
      "text": {
        "access": "RW",
        "multi": false,
        "mand": true,
        "type": "string",
        "range": null,
        "init": "defaut text",
      },
      "xCoord": {
        "access": "RW",
        "multi": false,
        "mand": false,
        "type": "integer",
        "range": null,
        "init": 0,
      },
      "yCoord": {
        "access": "RW",
        "multi": false,
        "mand": false,
        "type": "integer",
        "range": null,
        "init": 0,
      },
      "maxXCoord": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "integer",
        "range": null,
        "init": 0,
      },
      "maxYCoord": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "integer",
        "range": null,
        "init": 0,
      },
      "clearDisplay": {
        "access": "E",
        "multi": false,
        "mand": false,
        "type": "opaque",
        "range": null,
        "init": null,
      },
      "contrast": {
        "access": "RW",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": 100,
        "init": 0,
      },
      "level": {
        "access": "RW",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": 100,
        "init": 0,
      },
      "appType": {
        "access": "RW",
        "multi": false,
        "mand": false,
        "type": "string",
        "range": null,
        "init": "addressableTextDisplay",
      },
    },
    "onOffSwitch": {
      "dInState": {
        "access": "R",
        "multi": false,
        "mand": true,
        "type": "boolean",
        "range": null,
        "init": false,
      },
      "counter": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "integer",
        "range": null,
        "init": 0,
      },
      "onTime": {
        "access": "RW",
        "multi": false,
        "mand": false,
        "type": "integer",
        "range": null,
        "init": 0,
      },
      "offTime": {
        "access": "RW",
        "multi": false,
        "mand": false,
        "type": "integer",
        "range": null,
        "init": 0,
      },
      "appType": {
        "access": "RW",
        "multi": false,
        "mand": false,
        "type": "string",
        "range": null,
        "init": "onOffSwitch",
      },
    },
    "levelControl": {
      "level": {
        "access": "RW",
        "multi": false,
        "mand": true,
        "type": "float",
        "range": 100,
        "init": 0,
      },
      "onTime": {
        "access": "RW",
        "multi": false,
        "mand": false,
        "type": "integer",
        "range": null,
        "init": 0,
      },
      "offTime": {
        "access": "RW",
        "multi": false,
        "mand": false,
        "type": "integer",
        "range": null,
        "init": 0,
      },
      "appType": {
        "access": "RW",
        "multi": false,
        "mand": false,
        "type": "string",
        "range": null,
        "init": "levelControl",
      },
    },
    "upDownControl": {
      "incInputState": {
        "access": "R",
        "multi": false,
        "mand": true,
        "type": "boolean",
        "range": null,
        "init": false,
      },
      "decInputState": {
        "access": "R",
        "multi": false,
        "mand": true,
        "type": "boolean",
        "range": null,
        "init": false,
      },
      "upCounter": {
        "access": "RW",
        "multi": false,
        "mand": false,
        "type": "integer",
        "range": null,
        "init": 0,
      },
      "downCounter": {
        "access": "RW",
        "multi": false,
        "mand": false,
        "type": "integer",
        "range": null,
        "init": 0,
      },
      "appType": {
        "access": "RW",
        "multi": false,
        "mand": false,
        "type": "string",
        "range": null,
        "init": "upDownControl",
      },
    },
    "multipleAxisJoystick": {
      "dInState": {
        "access": "R",
        "multi": false,
        "mand": true,
        "type": "boolean",
        "range": null,
        "init": false,
      },
      "counter": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "integer",
        "range": null,
        "init": 0,
      },
      "xValue": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": 100,
        "init": 0,
      },
      "yValue": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": 100,
        "init": 0,
      },
      "zValue": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": 100,
        "init": 0,
      },
      "appType": {
        "access": "RW",
        "multi": false,
        "mand": false,
        "type": "string",
        "range": null,
        "init": "multipleAxisJoystick",
      },
    },
    "rate": {
      "sensorValue": {
        "access": "R",
        "multi": false,
        "mand": true,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "units": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "string",
        "range": null,
        "init": "uint",
      },
      "minMeaValue": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "maxMeaValue": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "minRangeValue": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "maxRangeValue": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": 0,
      },
      "resetMinMaxMeaValues": {
        "access": "E",
        "multi": false,
        "mand": false,
        "type": "opaque",
        "range": null,
        "init": null,
      },
      "calOffset": {
        "access": "RW",
        "multi": false,
        "mand": false,
        "type": "float",
        "range": null,
        "init": null,
      },
      "appType": {
        "access": "RW",
        "multi": false,
        "mand": false,
        "type": "string",
        "range": null,
        "init": "rate",
      },
    },
    "pushButton": {
      "dInState": {
        "access": "R",
        "multi": false,
        "mand": true,
        "type": "boolean",
        "range": null,
        "init": false,
      },
      "counter": {
        "access": "R",
        "multi": false,
        "mand": false,
        "type": "integer",
        "range": null,
        "init": 0,
      },
      "appType": {
        "access": "RW",
        "multi": false,
        "mand": false,
        "type": "string",
        "range": null,
        "init": "pushButton",
      },
    },
    "multistateSelector": {
      "mStateIn": {
        "access": "R",
        "multi": false,
        "mand": true,
        "type": "integer",
        "range": null,
        "init": 0,
      },
      "appType": {
        "access": "RW",
        "multi": false,
        "mand": false,
        "type": "string",
        "range": null,
        "init": "multistateSelector",
      },
    },
  },
};
